Generic_Keyboard.driver is wrong version

A forum for general AmigaOS 4.x support questions that are not platform-specific

Generic_Keyboard.driver is wrong version

Postby chris » Wed Jul 27, 2011 12:27 am

The version number of Libs:AmigaInput/Generic_Keyboard.driver is wrong - it is v51.3, however AmigaInput only loads drivers of v52 and higher. Hence the Generic Keyboard driver does not show up in AmigaInput prefs and (unconfirmed that this is the cause but) the lowlevel.library keyboard functions do not appear to work.
chris
 
Posts: 552
Joined: Sat Jun 18, 2011 12:05 pm

Re: Generic_Keyboard.driver is wrong version

Postby Timothy De Groote » Wed Jul 27, 2011 8:49 am

Forwarded this to one of our devs, will let you know how it goes..
Timothy De Groote
Hyperion Entertainment
Hyperion Entertainment
 
Posts: 17
Joined: Sat Jun 18, 2011 9:18 pm

Re: Generic_Keyboard.driver is wrong version

Postby aclogic » Wed Jul 27, 2011 6:10 pm

if i'm not wrong then uses the lowlevel.library not the keyboard functions of amigainput.
Did you use a ps2, usb keyboard or a "classic"system ?
aclogic
Beta Tester
Beta Tester
 
Posts: 64
Joined: Mon Dec 20, 2010 7:20 pm
Location: Magdeburg , Germany

Re: Generic_Keyboard.driver is wrong version

Postby chris » Wed Jul 27, 2011 9:38 pm

@Timothy

Thanks.

@aclogic

lowlevel.library is a wrapper for AmigaInput.library under OS4. If the AmigaInput keyboard driver isn't loading then lowlevel keyboard functions aren't going to work, as AmigaInput has no keyboard devices to read.

The test was with a USB keyboard.
chris
 
Posts: 552
Joined: Sat Jun 18, 2011 12:05 pm


Return to General AmigaOS

Who is online

Users browsing this forum: Google [Bot] and 8 guests

cron